import { Observable } from 'rxjs';
export interface ImageViewItem {
    src: string;
    scale: number;
    srcElement?: HTMLImageElement;
}
export declare class ImageViewerController {
    images: Observable<ImageViewItem[]>;
    display: Observable<{
        show: boolean;
        firstSrc?: string;
    }>;
    private imageSource;
    private displayEvent;
    private imageList;
    constructor();
    addImage(src: string, srcElement?: HTMLImageElement): void;
    removeImage(src: string): void;
    show(firstSrc: string): void;
    hide(): void;
    private findIndex(src);
}
